#include <QApplication>
#include <QMessageBox>
#include <QLockFile>
#include <QDir>

#include "models/lotromanager.h"

#include "widgets/browsewidget.h"
#include "widgets/exportwidget.h"
#include "widgets/importwidget.h"
#include "widgets/mainwindow.h"
#include "widgets/managewidget.h"

#include <QTextCodec>
#include <QThread>
#include <QObject>
1
int main(int argc, char *argv[])
{
    setlocale(LC_ALL,"Russian");
    QApplication a(argc, argv);

    QDebug() << "Checking if there's another instance of Legacy";

    QLockFile lockFile(QDir::temp().absoluteFilePath("rulotro.lock"));
    if(!lockFile.tryLock(1)){
        QMessageBox msgBox;
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.setText("Приложение уже запущено.\nРазрешено запускать только один экземпляр приложения.");
        msgBox.exec();
        return 1;
    }

    qDebug() << "Starting main frame initialisation...";

    MainWindow* main_window = new MainWindow(lotro_mgr, settings, nullptr);
    main_window->setAttribute(Qt::WA_DeleteOnClose);

    qDebug() << "Finished initialisation, starting application...";
    return a.exec();
}
